## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class LibraryType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.UnitType
              org.eclipse.m2m.atl.adt.ui.text.atl.types.LibraryType

    public class LibraryType

extends UnitType

The ATL Library type.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.UnitType
`sourceManager`

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`LibraryType(org.eclipse.core.resources.IFile file, AtlSourceManager manager)` Creates a new library from the given source manager.

Method Summary
`protected java.util.Collection<org.eclipse.emf.ecore.EObject>` `getHelpersObjects()` Returns the helpers atl objects.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.UnitType
`create, getAllAttributes, getAllHelpers, getAttributes, getFile, getHelpers, getSourceManager, getSupertypes, init`

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getFeatures, getInstance, getOclType, getOperations, getTypeOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LibraryType

    public LibraryType(org.eclipse.core.resources.IFile file,
                       AtlSourceManager manager)

  Creates a new library from the given source manager.

  Parameters:
    `file` - the library file
    `manager` - the source manager

Method Detail

### getHelpersObjects

    protected java.util.Collection<org.eclipse.emf.ecore.EObject> getHelpersObjects()

  Returns the helpers atl objects.

  Specified by:
    `getHelpersObjects` in class `UnitType`
  Returns:
    the helpers atl objects
  See Also:
    `UnitType.getHelpersObjects()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.